self.port.on("requestSize", function() {

    self.port.emit("responseSize", {

        width: document.documentElement.scrollWidth + 16,

        height: document.documentElement.scrollHeight + 16

    });

});
